What's new

Got a iMac Mini 2010. Need help.

M

Message

FGE
Messages
9,907
Reaction score
4,041
Bought a mini Mac 2010 that came with high Sierra 10.13.6 and I can not download iMovie due to my OS is not the latest . but I cannot upgrade to a higher version for some reason, Am I kind of ****ed? I downloaded a older version of iMovie but I would like the newest if possible to start my. video editing. any tips advice or opinions welcome.
 
C

Crucify

Let's do this!
Messages
3,496
Reaction score
1,862
To be honest, you may be ****ed according to this thread but let's not loose hope yet. Check if you can update in the app store, check to see if you can use an unsupported version of mojave from an external source. Dig deeper to see if you can run an alternative 3rd party software of iMovie. That's all I got dude.
 
H

H Y X

RGH and CFW hoster
Messages
1,322
Reaction score
357
You can use DosDude1's site and patch it with a newer OS. https://www.dosdude1.com and just look which version of MacOS you want on it. I have done it tons of times.
 
Top Bottom